﻿using System.Windows;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using Infragistics.Silverlight;
using Infragistics.Silverlight.Controls;
using System.ComponentModel;

namespace XamWebGrid
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<Child> people = new ObservableCollection<Child>();

        public MainPage()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < 10; i++)
            {
                Child c = new Child();
                c.name = "child" + i;
                c.Children.Add(new Person("FistName"+i," Lastname"+i,i+20, i%2==0?true:false));

                people.Add(c);
            }

            xamWebGrid.ItemsSource = people;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            xamWebGrid.ColumnLayouts[0].EditingSettings.AllowEditing = Infragistics.Silverlight.EditingType.None;
            xamWebGrid.ColumnLayouts[1].EditingSettings.AllowEditing = Infragistics.Silverlight.EditingType.Row;
        }
    }

    public class Person : INotifyPropertyChanged
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }

        private bool ceo;
        public bool CEO { get { return ceo; } set { ceo = value; RaisePropertyChanged("CEO"); } }
        public Person(string n1, string n2, int age, bool ceo)
        {
            this.FirstName = n1;
            this.LastName = n2;
            this.Age = age;
            this.CEO = ceo;
            ObservableCollection<Child> col = new ObservableCollection<Child>();
            col.Add(new Child());
            col.Add(new Child());
            col.Add(new Child());

        }
        public Person()
        {
            this.FirstName = "";
            this.LastName = "";
            this.Age = 0;
            this.CEO = false;

        }
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }

    public class Child
    {
        public string name { get; set; }
        public ObservableCollection<Person> Children { get; set; }

        public Child()
        {
            this.name = "name";
            this.Children = new ObservableCollection<Person>();

        }
    }
}

